Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Data Provider/MSSQL

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 19316

Description

I loaded a MS SQL (non spatial) table. When attempting to save it as dbf, I always get an error (something like "Variant type not valid for

field XXX : uint received with type 0).

Fields throwing errors are of type ``tinyint``.

Related issues:

Related to QGIS Application - Bug report # 12841: Save as shapefile fails on ... Closed 2015-05-28

History

#1 - 2014-07-30 09:16 AM - João Gaspar

Hi Paolo, i don't know the level of your urgency but you can use the MMQIS plugin as workaround to export data from non spatial tables of MSSQL in csv

format.

I test with a small table non spatial and work.

My OS info: Windows 7 64-bit

QGIS Version: QGIS Chugiak 64-bit (OSGeo4W installer)

UPDATE: I can create .dbf and .csv in export option, but in some tables. Another thing, i'm having problem open some Views, and some tables give me the

same error as you report. For the problem itself, i think is the type of the field (is only a hint).

Best Regards

João

#2 - 2014-07-30 11:44 PM - Paolo Cavallini

Thanks, it works. A proper solution should be implemented in core anyway.

#3 - 2014-07-30 11:58 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#4 - 2015-06-02 04:31 AM - Filip Mahieu

I do have the same problem (in Qgis 2.8 32-bit, OS XP, SQL-Server 2008R2, spatial table), indeed with datatype 'tinyint'. Changing the datatype to

'smallint' solved the problem.

Problem did only exist if there was effectively data entered in the field (Null-values do not throw error). Exports to shape also throws the error.
#5 - 2016-01-29 02:28 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this - can you please test with latest master and confirm whether it's still an issue?

#6 - 2016-04-09 11:46 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback. Please reopen if necessary.

#7 - 2016-08-12 02:11 AM - Filip Mahieu

When tested with 2.14.0 the problem does not seem to exist anymore.
